Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.engine.model
Class BindingModel

    java.lang.Object
      org.springframework.webflow.engine.model.AbstractModel
          org.springframework.webflow.engine.model.BindingModel

All Implemented Interfaces:
  Model

    public class BindingModel

extends AbstractModel

Model support for binding elements.

Author:
  Scott Andrews

Constructor Summary
`BindingModel(java.lang.String property, java.lang.String converter, java.lang.String required)` Create a binding model

Method Summary
`Model` | `createCopy()` Create a deep copy of this model.
`java.lang.String` | `getConverter()`
`java.lang.String` | `getProperty()`
`java.lang.String` | `getRequired()`
`boolean` | `isMergeableWith(Model model)` Determine if the model is able to be merged into the current model
`void` | `merge(Model model)` Merge the model into the current model
`void` | `setConverter(java.lang.String converter)`
`void` | `setProperty(java.lang.String property)`
`void` | `setRequired(java.lang.String required)`

Methods inherited from class org.springframework.webflow.engine.model.AbstractModel
`copy, copyList, merge, merge, merge, merge, merge`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BindingModel

    public BindingModel(java.lang.String property,
                        java.lang.String converter,
                        java.lang.String required)

  Create a binding model

  Parameters:
    `property` - the name of the bound property
    `converter` - the converter
    `required` - required status

Method Detail

### isMergeableWith

    public boolean isMergeableWith(Model model)

  Description copied from interface: `Model`
  Determine if the model is able to be merged into the current model

  Parameters:
    `model` - the model to compare
  Returns:
    true if able to merge

### merge

    public void merge(Model model)

  Description copied from interface: `Model`
  Merge the model into the current model

  Parameters:
    `model` - the model to merge with

### createCopy

    public Model createCopy()

  Description copied from interface: `Model`
  Create a deep copy of this model. Needed when merging models and collections.

  Returns:
    a deep copy of this model

### getProperty

    public java.lang.String getProperty()

### setProperty

    public void setProperty(java.lang.String property)

### getConverter

    public java.lang.String getConverter()

### setConverter

    public void setConverter(java.lang.String converter)

### getRequired

    public java.lang.String getRequired()

### setRequired

    public void setRequired(java.lang.String required)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD